Last Comment Bug 1109132 - Mozilla.org Implement Hello FTE
: Mozilla.org Implement Hello FTE
Status: RESOLVED FIXED
[kb=1603070]
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Production
: x86 Mac OS X
-- normal
: ---
Assigned To: Alex Gibson [:agibson]
:
:
Mentors:
: 1084141 (view as bug list)
Depends on:
Blocks: 1084075
  Show dependency treegraph
 
Reported: 2014-12-09 08:18 PST by Alex Gibson [:agibson]
Modified: 2015-01-12 08:52 PST (History)
5 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Alex Gibson [:agibson] 2014-12-09 08:18:57 PST
Wireframes: http://cl.ly/image/00012d1v2l16/o
Comment 1 User image Cory Price [:ckprice] 2014-12-11 18:27:41 PST
*** Bug 1084141 has been marked as a duplicate of this bug. ***
Comment 2 User image Cory Price [:ckprice] 2014-12-12 15:50:08 PST
Hi Alex,

The design (bug 1084085) is approved, and PSD is ready.

The copy (bug 1084082) deck has all comments resolved, and awaiting final approval. There's a chance that some of the copy in the PSD will undergo slight updates, but we don't expect the layout to change at all.

Thanks!
Comment 3 User image Cory Price [:ckprice] 2014-12-12 17:09:02 PST
Updated wireframe: http://cl.ly/image/3j2w0i0T0c1b

:agibson, :habber

Please have a look here https://bugzilla.mozilla.org/show_bug.cgi?id=1080953#c9 and let me know your thoughts. From that discussion it seems that whichever way users get to their first conversation, the URL will have to be the same. Does this raise any issues on the web side?
Comment 4 User image Alex Gibson [:agibson] 2014-12-12 23:04:18 PST
Hi Cory,

Afaik, the URL will differ when the tab reopens, as per https://bugzilla.mozilla.org/show_bug.cgi?id=1080953#c3. This is what we discussed in our engineering meeting, so I don't think that has changed.

If I understand the conversation in the bug, i *think* Matt just meant there is no single point of entry for opening the new tab. It will open either when the icon is clicked, or immediately upon connection. For this reason, `hello-icon-opened` probably isn't the most suitable param name?
Comment 5 User image Cory Price [:ckprice] 2014-12-13 00:38:31 PST
Thanks Alex for pointing that out. Clearing Holly's needinfo.
Comment 6 User image Alex Gibson [:agibson] 2014-12-22 06:07:49 PST
There are some details still being ironed out and bugs investigated - but this is now up on demo2 for anyone who may want to give it a try. Please make sure you are using an up-to-date version of Firefox Nightly.

Setup instructions:

1.) open about:config
2.) set loop.gettingStarted.url = https://www-demo2.allizom.org/%LOCALE%/firefox/%VERSION%/hello/start/ (please make sure to include the trailing slash at the end of the URL).
3.) set loop.gettingstarted.seen = false
4.) whitelist demo2 to use UiTour API by creating a pref called `browser.uitour.testingOrigins` and give it a value of https://www-demo2.allizom.org
5.) restart the browser
6.) Click the hello icon in the browser to open the Hello panel.

You should now see a blue button that says “Get Started”. Clicking this will open the tour and if all the above steps have worked you should see the FTE page on demo and the first door-hanger pointing at “Start a conversation”

Note if you want to retake the tour without resetting `loop.gettingstarted.seen`, the tour is also available via the ‘Tour’ link in the Hello panel gear menu.
Comment 7 User image Alex Gibson [:agibson] 2014-12-22 08:18:33 PST
Also please note when testing in Nightly have e10s *disabled*, as not all the new events stuff of e01s friendly just yet.
Comment 8 User image Alex Gibson [:agibson] 2014-12-22 08:19:27 PST
Sorry, that should be "as not all the new events stuff is e10s friendly just yet."
Comment 9 User image Cory Price [:ckprice] 2015-01-06 09:19:27 PST
:agibson - tested the GA events (ref tagging matrix[0]). Found a hiccup in row 17 (RoomClick-Tour).

"Copy Link" fires the JS event. "Email" does not in OSX with no native email client set up.

[0] Tagging matrix - https://docs.google.com/a/mozilla.com/spreadsheets/d/1crhDaU17YSz5IR3PSoqnU3naX5VrdDYRIkwTxjfFsoU/edit#gid=0
Comment 10 User image Alex Gibson [:agibson] 2015-01-06 09:24:11 PST
(In reply to Cory Price [:ckprice] from comment #9)
> "Copy Link" fires the JS event. "Email" does not in OSX with no native email
> client set up.

Hmm, seems the 'Loop:RoomURLCopied' event does not get fired in this instance. Worth filing a bug?
Comment 11 User image Alex Gibson [:agibson] 2015-01-07 02:15:58 PST
GA events have been updated as per the doc, so we now have separate tracking for the email and copy buttons. Bug 1118346 has been filed for the Loop:RoomURLEmailed event not being received if the default mail handler is not set.
Comment 12 User image Cory Price [:ckprice] 2015-01-07 14:25:51 PST
After talking with cmore and garethc today, they recommended splitting up the Tour and Product Page events into different categories.

Tour

Please change from 'hello interactions' to '/hello/start interactions'
Comment 13 User image Alex Gibson [:agibson] 2015-01-08 01:41:20 PST
(In reply to Cory Price [:ckprice] from comment #12)
> After talking with cmore and garethc today, they recommended splitting up
> the Tour and Product Page events into different categories.
> 
> Tour
> 
> Please change from 'hello interactions' to '/hello/start interactions'

Will do, thanks Cory
Comment 14 User image Cory Price [:ckprice] 2015-01-09 16:38:44 PST
Just a confirmation on the links for the last state of FTUE

    Tell a friend about Hello [remove per bug 1119849]
    Need help? Get support here [https://support.mozilla.org/kb/firefox-hello-video-and-voice-conversations-online]
    Learn all about Hello [https://www.mozilla.org/firefox/hello/]
    Do more with a Firefox Account [https://support.mozilla.org/kb/how-set-and-use-firefox-accounts-mozilla-services]

Thanks for calling this out Alex.
Comment 15 User image Cory Price [:ckprice] 2015-01-09 19:19:06 PST
One change

Do more with a Firefox Account

should link to

https://support.mozilla.org/kb/create-and-manage-your-contacts-list-firefox-hello
Comment 16 User image Alex Gibson [:agibson] 2015-01-12 02:54:02 PST
Thanks Cory, updated as per above
Comment 17 User image [github robot] 2015-01-12 08:52:55 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/75e0337dc5eccd2f29bfa2b512624fd31ad11116
[fix bug 1109132] Implement Firefox Hello FTUE

https://github.com/mozilla/bedrock/commit/bf549cc18f4338ef77b819d8e03d7a7d3a527003
Merge pull request #2638 from mozilla/hello-fte

[fix bug 1109132] Implement Firefox Hello FTUE

Note You need to log in before you can comment on or make changes to this bug.